Faceless_K
2021-06-30 13:31
采纳率: 66.7%
浏览 139
已采纳

Vue到底该用哪个高德地图

为什么我看你们用的VUE高德地图和我的不一样啊,你们的代码我都用不了,我使用的是AMap-Vue,这是地址https://jimnox.gitee.io/amap-vue/ 有没有大佬说一下,vue的话到底应该用哪个高德地图啊 我现在的AMap-Vue不知道怎么自动定位当前位置,高德地图的定位控件也显示不出来,有懂的大佬教一下嘛

  • 写回答
  • 好问题 提建议
  • 关注问题
  • 收藏
  • 邀请回答

2条回答 默认 最新

  • yycgis 2021-06-30 13:56
    已采纳
    
    import VueAMap from "vue-amap";
    
    Vue.use(VueAMap);
    
    VueAMap.initAMapApiLoader({
     key: "95fa72137f4263f8e64ae01f766ad09c",
     plugin: [
       "AMap.Autocomplete",
       "AMap.PlaceSearch",
       "AMap.Scale",
       "AMap.OverView",
       "AMap.ToolBar",
       "AMap.MapType",
       "AMap.PolyEditor",
       "AMap.CircleEditor",
       "AMap.Geocoder"
     ],
     // 默认高德 sdk 版本为 1.4.4
     v: "1.4.4"
    });
    
    
    已采纳该答案
    评论
    解决 1 无用
    打赏 举报
  • yycgis 2021-06-30 13:54

    请使用 vue-amap

    评论
    解决 1 无用
    打赏 举报

相关推荐 更多相似问题